(defun C:LWX (/)
  (KiKO:Lineweight_Reset_Lay) ; ̾ ġ ʱȭϴ 
  (KiKO:Lineweight_Reset_Obj) ; ü ġ ʱȭϴ 
  (princ)
)

;; ̾ ġ ʱȭϴ 
(defun C:LWL (/) (KiKO:Lineweight_Reset_Lay) (princ))
(defun KiKO:Lineweight_Reset_Lay (/ w l_name l_weight obj_s)
  (setq w T)
  (while (setq l_name (cdr (assoc 2 (tblnext "LAYER" w))))
    (setq w        nil
          obj_s    (entget (tblobjname "LAYER" l_name))
          l_weight (cdr (assoc 370 obj_s))
    )
    (if (<= 0 l_weight)
      (entmod (subst (cons 370 -3) (assoc 370 obj_s) obj_s))
    )
  )
  (princ)
)

;; ü ġ ʱȭϴ 
(defun C:LWO (/) (KiKO:Lineweight_Reset_Obj) (princ))
(defun KiKO:Lineweight_Reset_Obj (/ nn obj_s obj_e c_vlu lay_o l_lay)
  (setq nn    0
        obj_s (ssget "x")
  )
  (repeat (sslength obj_s)
    (setq obj_e (entget (ssname obj_s nn))
          lay_o (entget (tblobjname "LAYER" (cdr (assoc 8 obj_e))))
          c_vlu (cdr (assoc 70 lay_o))
    )
    (if (or (= c_vlu 4) (= c_vlu 5))
      (progn
        (setq l_lay (append l_lay (list (cons (cdr (assoc 2 lay_o)) c_vlu))))
        (entmod (subst (cons 70 (- c_vlu 4)) (assoc 70 lay_o) lay_o))
      )
    )
    (if (assoc 370 obj_e)
      (entmod (subst (cons 370 -3) (assoc 370 obj_e) obj_e))
    )
    (setq nn (1+ nn))
  )
  (if l_lay
    (repeat (setq nn (length l_lay))
      (setq lay_o (entget (tblobjname "LAYER" (car (nth (setq nn (1- nn)) l_lay))))
            c_vlu (cdr (nth nn l_lay))
      )
      (entmod (subst (cons 70 c_vlu) (assoc 70 lay_o) lay_o))
    )
  )
  (princ)
)

(princ
  (strcat
    "\n: KiKO_Lineweight.lsp | KiKO  "
    (menucmd "m=$(edtime,0,yyyy)")
    "  kikoson@nate.com :"
    "\n: LWX  |  LWL  |  LWO  |  For line weight reset.     :"
  )
)
(princ)
